Support » Plugin: Mailchimp for WooCommerce » API error

  • Resolved ps.vos

    (@psvos)


    Hi there,

    Since yesterday the mailchimp for woocommerce plugin stopped working. ‘Mailchimp says: API Request Error – 503 :: on 1474 in wp-content/plugins/mailchimp-for-woocommerce/includes/api/class-mailchimp-api.php

    I can’t figure out what’s going wrong here. It worked before and I did’nt change a thing.

    Any ideas how to get it work again? I love the functionality of the plugin and really want it back.

    WordPress 4.9.8
    WooCommerce 3.5.1
    Mailchimp for woocommerce 2.1.11

    Hope to hear from you soon.
    Peter

    The page I need help with: [log in to see the link]

Viewing 8 replies - 1 through 8 (of 8 total)
  • I’m having the exact same issue – http://prntscr.com/lgxkth
    The API stopped working out of nowhere…

    • This reply was modified 2 years, 10 months ago by ajiaim.

    It seems that this is an issue with mailchimp.
    They said it started over the weekend and multiple plugins included their own have been affected. They are working with their developers to fix the issue.
    Hopefully once the fix is applied, this plugin automatically works?
    Unless it also has to be updated.

    Mailchimp seems to have fixed this on my end…

    Same thing here:
    “Mailchimp says: API Request Error – on 1474 in /home/[website]/wp-content/plugins/mailchimp-for-woocommerce/includes/api/class-mailchimp-api.php”

    Any ideas how to fix this? Any help is greatly appreciated.

    I’m running Version 2.1.11 and WordPress 4.9.8

    @ajiaim: Did you do anything to get the API working again? Or did it work automatically again?

    I wait for the solution about this! Some error: ‘Mailchimp says: API Request Error – 503 :: on 1474 in wp-content/plugins/mailchimp-for-woocommerce/includes/api/class-mailchimp-api.php

    Plugin Support khungate

    (@khungate)

    @afbatera, @psvos, thanks for reaching out. Since you’re currently receiving a 503 error code, that’s coming from Mailchimp’s API gateway service (Akamai). The quick and easy way to see if the problem was temporary, is to perform a fresh uninstall and install. If the problem persists, troubleshooting something like this is can be fairly technical and we suggest asking your host or a 3rd party developer for assistance if you’re not comfortable running the following commands:

    The first step is to see if your server can communicate directly with the Mailchimp API using the CURL command below:

    curl -v -X GET https://{$DATA_CENTER}.api.mailchimp.com/3.0/ecommerce/stores?apikey={$API_KEY}

    Please replace the $DATA_CENTER and the $API_KEY with your credentials. You can locate the $DATA_CENTER number in the URL, for example us19. If you receive a valid response from the Mailchimp API, that helps us solve the first step of determining whether or not your server has been IP Blacklisted by the API gateway.

    Once we’ve verified that you are able to make calls directly using CURL – we can then see if there might be another SSL handshake issue / OpenSSL / libCURL issue that might need to be addressed by your server admins.

    Give that a try and let us know if it solved the issue. I look forward to hearing back from you.

    Olá! My site turned to work normaly today. But I did make no changes. Strange! Tks for your help.

    I am having the same issue, but mine says
    Mailchimp says: API Request Error – 0 :: on 1474 in /home/aussiear/public_html/wp-content/plugins/mailchimp-for-woocommerce/includes/api/class-mailchimp-api.php
    Is this the same or completely different

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘API error’ is closed to new replies.